import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiMultipleSelectionElement } from "../../elements/StiMultipleSelectionElement";
import * as i0 from "@angular/core";
export declare class StiMultipleSelectionComponent implements OnInit {
    model: StiModelService;
    element: StiMultipleSelectionElement;
    isClone: boolean;
    get columns(): any[];
    get rows(): any[];
    getColumns(rowIndex: number): any[];
    get align(): string;
    constructor(model: StiModelService);
    disableDrag(event: any): void;
    changeState(option: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiMultipleSelectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiMultipleSelectionComponent, "sti-multipleselection-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
